> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaultcord.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custom Bot

> Create a custom bot



## OpenAPI

````yaml put /bots
openapi: 3.0.0
info:
  description: VaultCord public API for developers to access resources
  version: 1.0.0
  title: VaultCord Developers API
  x-logo:
    url: https://cdn.vaultcord.com/logo.png
    backgroundColor: '#FFFFFF'
    altText: VaultCord logo
    href: https://vaultcord.com
servers:
  - description: VaultCord Developers API endpoint
    url: https://api.vaultcord.com
security:
  - bearerAuth: []
tags:
  - name: Servers
    description: Servers endpoints
  - name: Bots
    description: Bot endpoints
  - name: Backups
    description: Backup endpoints
  - name: Members
    description: Member endpoints
  - name: Alerts
    description: Alert endpoints
  - name: Whites
    description: Whitelist endpoints
paths:
  /bots:
    put:
      tags:
        - Bots
      description: Create a custom bot
      operationId: createBot
      requestBody:
        description: Details for Discord bot to add to VaultCord
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of the bot
                  example: google play
                clientSecret:
                  type: string
                  example: JFcVvRVdnZb2QRa6DpY3LPwPMTpDi5X6
                  description: Discord OAuth2 secret.
                token:
                  type: string
                  example: >-
                    MTIxODI3MzA5MzI5ODk0NjA0OA.nt02aR.e7Uyh_D3GggylpuFFwbt2E5NR4c-lUoqFrM9fK
                  description: Discord bot/application token
      responses:
        '200':
          $ref: '#/components/responses/botCreated'
        '401':
          $ref: '#/components/responses/401'
components:
  responses:
    '401':
      description: >-
        API key invalid, please generate a new one from
        dash.vaultcord.com/developers
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: 'New login required #2'
    botCreated:
      description: Successfully added Discord bot
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: true
              message:
                type: string
                example: Successfully created bot!
              botId:
                type: integer
                example: 12481
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````